Bugzilla (bugzilla.redhat.com) will be under maintenance for infrastructure upgrades and will not be available on July 31st between 12:30 AM - 05:30 AM UTC. We appreciate your understanding and patience. You can follow status.redhat.com for details.
Bug 977914 - Dangling symlink in openshift-origin-cartridge-perl package
Summary: Dangling symlink in openshift-origin-cartridge-perl package
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: OKD
Classification: Red Hat
Component: Containers
Version: 2.x
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
: ---
Assignee: Luke Meyer
QA Contact: libra bugs
URL:
Whiteboard:
Depends On:
Blocks: 977919
TreeView+ depends on / blocked
 
Reported: 2013-06-25 15:05 UTC by Jason DeTiberus
Modified: 2015-05-14 23:12 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
: 977919 (view as bug list)
Environment:
Last Closed: 2013-07-22 15:12:49 UTC
Target Upstream Version:


Attachments (Terms of Use)

Description Jason DeTiberus 2013-06-25 15:05:34 UTC
Description of problem:
openshift-origin-cartridge-perl has a dangling symlink: File usr/libexec/openshift/cartridges/v2/perl/versions/5.10/metadata is a dangling symlink (to ../shared/metadata/) on noarch

Version-Release number of selected component (if applicable):


How reproducible:
Every time

Steps to Reproduce:
1. Install package
2. ls -l usr/libexec/openshift/cartridges/v2/perl/versions/5.10/metadata

Actual results:
ls shows broken symlink

Expected results:
symlink should not exist

Additional info:
This looks to be left over from early v2 work where there was a versions/shared/metadata directory that no longer exists.

Comment 1 openshift-github-bot 2013-07-18 19:24:07 UTC
Commit pushed to master at https://github.com/openshift/origin-server

https://github.com/openshift/origin-server/commit/d46f3f13a2713900f18f82cceab51c7722df1d07
<perl cart> bug 977914 remove broken symlinks

Comment 2 Meng Bo 2013-07-19 05:20:30 UTC
Checked on devenv_3527, issue fixed.

[root@ip-10-154-153-202 5.10]# pwd
/usr/libexec/openshift/cartridges/perl/versions/5.10
[root@ip-10-154-153-202 5.10]# ls -al
total 8
drwxr-xr-x. 2 root root 4096 Jul 18 19:13 .
drwxr-xr-x. 4 root root 4096 Jul 18 19:13 ..
lrwxrwxrwx. 1 root root   14 Jul 18 19:13 etc -> ../shared/etc/


Note You need to log in before you can comment on or make changes to this bug.